/* insert std header here */

#ifndef _PARSE_H_
#define _PARSE_H_

/* includes */

#include "common.h"
#include "llist.h"
#include <stdio.h>

#define H_VERSION   "version"
#define H_EMAIL     "email"
#define H_ACTION    "action"

/* types */

typedef struct _line_struct
{
  int   row_no;                    /* row number of line */
  char  *line;                     /* character string of line */
} line_struct;

#define NEW_LINE_STRUCT (line_struct *) calloc ((unsigned)1, \
   (unsigned)sizeof(line_struct))

/* prototypes */

int parse_file PROTO((char *data_file, llist_struct **top, char *action,
                      char *email));

#endif /* _PARSE_H_ */
